Contributing
===

Thank you for your interest in participating in the React Credit Cards project. We're happy to have you here.

**NOTE:** Please note that this project is released with a [Contributor Code of Conduct](code-of-conduct.md). By participating in this project you agree to abide by its terms.


### Reporting Bugs
Before creating bug reports, please check the [issues](https://github.com/amarofashion/react-credit-cards/issues) as you might find out that you don't need to create one. When you are creating a bug report, please include as many details as possible.


### How to contribute?

1. Fork this repo to your account then clone it to your environment.
1. Run `npm install` and `npm start` to get things going.
1. Replicate the issue you're trying to fix or spec out the feature you're trying to add. Understanding the scope of what you're fixing or adding is important and upfront thought helps.
1. Change the code to fix the bug or add the feature. All changes should happen in the relevant `*.jsx` and `*.scss` files in the `/src` directory.
1. Verify that your fix or feature works. If it a new feature make to add it to the demo.
1. Run `npm run precommit` to lint all the files and run the tests
1. Run `npm run build` to bundle the production files.
1. if you changed the demo you must run `npm run build:demo` before pushing.
1. Commit your changes with an informative description. Do not make a single commit for big updates.
1. Open a pull request to the primary repo with your new commits and a descriptive message about what the PR does.


### What can I contribute?

Check out the [issues](https://github.com/amarofashion/react-credit-cards/issues) for a comprehensive list of unfixed bugs and desired features.
